# Report Qweb PDF Fixed Column

In the generated reports, the fields relative to the order details are not correctly displayed: they are both “cut” from the view, or the general font size is scaled down to make all the element fit which is not the default behavior. The font size should remain fixed and all the element should be visible, eventually spanning over multiple lines.

This is due to the broken bootstrap 4 support of QtWebKit, used by wkhtmltopdf to generate pdf reports. In particular the new flexbox style introduced in the library is not supported and every element based on it will be ill-displayed.

This module changes the .col-auto behavior to work similiar as in older Odoo versions.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

The changes are applied to all reports automatically.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- agr-odoo
- Tecnativa:
  - Alexandre Díaz

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/reporting-engine project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.